<?php

namespace domain\Setting\SettingDetails\Admin\General;

use common\components\BulkMailer\BulkMailerInterface;
use domain\Setting\SettingDetails\AbstractSettingDetail;

class BulkMailerAdminSetting extends AbstractSettingDetail
{
    public function __construct()
    {
        $this
            ->setName('bulkMailer')
            ->setLabel("Mailer emails en masse")
            ->setTypeString()
            ->setFormTypeSelect([
                BulkMailerInterface::MAILJET => 'Mailjet',
                BulkMailerInterface::BREVO => 'Brevo',
            ]);
    }
}